Bug 735908 - Audio device doesn't work in KDE
Audio device doesn't work in KDE
Product: Fedora
Classification: Fedora
Component: kdemultimedia (Show other bugs)
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2011-09-06 02:44 EDT by Slawomir Czarko
Modified: 2012-08-07 15:02 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-07 15:02:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Slawomir Czarko 2011-09-06 02:44:13 EDT
Description of problem:

About 50% of the time when I log in into KDE I get this message from Multimedia System:

The audio playback device HDA ATI SB (ALC889 Analog) does not work.
Falling back to HDA NVidia, HDMI 0 (HDMI Audio Output).

and the login sound doesn't play. This causes also problems with sound in some applications.

Version-Release number of selected component (if applicable):

How reproducible:
about 50% of the time

Steps to Reproduce:
1. Log in into KDE
Actual results:

Login sound doesn't play. Notification message from Multimedia System appears.

Expected results:

Login sound plays. Notification message from Multimedia System doesn't appear.

Additional info:
Comment 1 Kevin Kofler 2011-09-06 10:50:55 EDT
Are you using PulseAudio? If you aren't, there's the problem. (Only one application can access the sound device at a time without PulseAudio, so if any other application is using it, the KDE notification system cannot use it.) If you are using PulseAudio, then you probably have some other application trying to talk directly to the hardware device instead of using PulseAudio, thereby not allowing PulseAudio to access it. Make sure alsa-plugins-pulseaudio is installed.
Comment 2 Rex Dieter 2011-09-06 11:00:13 EDT
maybe there's a pulse autostart race.

Does doing a:

pulseaudio --kill

in the case where things don't work, help any?
Comment 3 Slawomir Czarko 2011-09-06 11:12:51 EDT
alsa-plugins-pulseaudio is installed

How can I find out if I'm using PulseAudio?

In case it matters, when I login KDE starts these programs:
- skype
- pidgin
- konsole
- VMplayer
- chrome
- dropbox
- kwallet

I'll try "pulseaudio --kill" next time it happens.
Comment 4 Slawomir Czarko 2011-09-14 03:33:27 EDT
(In reply to comment #2)
> maybe there's a pulse autostart race.
> Does doing a:
> pulseaudio --kill
> in the case where things don't work, help any?

Autostart race could be what's happening. I noticed that the problem happens usually when I login first time after reboot. If I then log out and login again usually it doesn't happen.

pulseaudio --kill doesn't help
Comment 5 Slawomir Czarko 2011-09-16 01:50:35 EDT
Today I actually got a different situation:

- I reboot the machine and log in
- the message about not working playback device appears
- BUT the login sound plays normally
- additionally I got a new message:

KDE detected that one or more internal sound devices were removed.

Do you want KDE to permanently forget about these devices?

This is the list of devices KDE thinks can be removed:

* Capture: Default
* Output: Default

Yes No Manage devices

If I select "Manage devices" I can see that Default device doesn't appear any more under "Audio Output" categories but it's still under "Audio Capture" categories (although it's greyed out like it was before).

Sound seems to work OK.
Comment 6 Slawomir Czarko 2011-10-04 03:11:20 EDT
I added a NetworkManager dispatcher script to start a VPN connection automatically when eth0 gets connected. This runs before I log in.

It looks like the additional delay reduces significantly the probability that this problem will occur. Now I get it only about 20% of the time.
Comment 7 Fedora End Of Life 2012-08-07 15:02:50 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:

Note You need to log in before you can comment on or make changes to this bug.